### Method

# ICalGLib Value set_datetimeperiod

since: 1.0

#### Declaration [src]

    void
    i_cal_value_set_datetimeperiod (
      ICalValue* self,
      const ICalDatetimeperiod* value
    )

#### Description [src]

Sets value to the DATETIMEPERIOD `self`.

Available since: 1.0

#### Parameters

`value`

  Type: `ICalDatetimeperiod`

  The DATETIMEPERIOD value.

  The data is owned by the caller of the method.